import PublicInterface from '../rx-postmessenger.d';
import IRequest = PublicInterface.Request;
import IEventMap = PublicInterface.EventMap;
import RequestTypes = PublicInterface.TypeLens.In.Request;
import RequestChannel = RequestTypes.Channel;
import RequestPayload = RequestTypes.RequestPayload;
import ResponsePayload = RequestTypes.ResponsePayload;
export declare class RxPostmessengerRequest<MAP extends IEventMap, CH extends RequestChannel<MAP>> implements IRequest<MAP, CH> {
    readonly channel: CH;
    readonly payload: RequestPayload<MAP, CH>;
    readonly isHandled: boolean;
    readonly id: string;
    private readonly _injectResponse;
    constructor(id: string, channel: CH, payload: RequestPayload<MAP, CH>, responseInjector: (data: ResponsePayload<MAP, CH>) => void);
    respond(data: ResponsePayload<MAP, CH>): void;
}
