import { AnyMessage } from './interface/message-objects';
import { IPostmessageAdapter } from './interface/postmessage-adapter';
export declare class PostmessageAdapter implements IPostmessageAdapter {
    readonly targetWindow: Window;
    readonly targetOrigin: string;
    constructor(targetWindow: Window, targetOrigin: string);
    postMessage<T extends AnyMessage>(data: T): void;
}
